# Input File Description

## Program: cppp.x / CP / Quantum ESPRESSO (version: 7.2)

> ### TABLE OF CONTENTS

> > INTRODUCTION

> > &INPUTPP

> > > prefix | fileout | output | outdir | lcharge | lforces | ldynamics | lpdb | lrotation | np1 | np2 | np3 | nframes | ndr | atomic_number

> ### INTRODUCTION

> >     =============================================================================
> >                                 CP Post-Processing code (cppp.x)
> >     =============================================================================

> >     The cppp.x code is an utility that can be used to extract data from the CP
> >     restart and CP trajectory files.

> >     INPUT:
> >     =====

> >     the program read the input parameters from the standard input or from
> >     any other file specified through the usual "-input" command line flag.
> >     The input parameters, in the input file, should be specified in the inputpp
> >     namelist follow:

> >     &INPUTPP
> >       ...
> >       cppp_input_parameter
> >       ...
> >     /

## Namelist: &INPUTPP

prefix | CHARACTER
Default: | 'cp'

>     basename prepended to cp.x output filenames: cp.evp, cp.pos ....

[Back to Top]

fileout | CHARACTER
Default: | 'out'

>     basename of the cppp.x output files

[Back to Top]

output | CHARACTER
Default: | 'xsf'

>     a string describing the output format to be performed,
>     allowed values: 'xsf', 'xyz'

>         xsf     xcrysden format
>         xyz     XMOL format

[Back to Top]

outdir | CHARACTER
Default: | './'

>     directory containing the CP trajectory files (.evp .pos .cel ...)
>     and restart files ( .save ) to be processed

[Back to Top]

lcharge | LOGICAL
Default: | .false.

>     OBSOLETE - no longer implemented. Use "pp.x" instead.

[Back to Top]

lforces | LOGICAL
Default: | .false.

>     This logical flag control the processing of forces.

>         .TRUE.  extract forces from trajectory files and write
>                 them to xcrysden file

>         .FALSE. do not process forces

[Back to Top]

ldynamics | LOGICAL
Default: | .true.

>     This logical flag control the processing of atoms trajectory.

>         .TRUE.  process CP trajectory files and generate a trajectory
>                 file for xcrysden (.axsf)

>         .FALSE. do not process trajectory

[Back to Top]

lpdb | LOGICAL
Default: | .false.

>     This logical flag control the generation of a pdb file.

>         .TRUE.  generate a pdb file containing positions and cell
>                 of the simulated system

>         .FALSE. do not generate pdb file

[Back to Top]

lrotation | LOGICAL
Default: | .false.

>     This logical flag control the rotation of the cell

>         .TRUE.  rotate the system cell in space in order to have
>                 the a lattice parameter laying on the x axis,
>                 the b lattice parameter laying on the xy plane

>         .FALSE. do not rotate cell

[Back to Top]

np1, np2, np3 | INTEGER
Default: | 1

>     Number of replicas of atomic positions along cell parameters.
>     CURRENTLY DISABLED

>     If np1, np2, np3 are 1 or not specified, cppp.x does not
>     replicate atomic positions in space.

>     If np1, np2, np3 are > 1 cppp.x replicates the atomic
>     positions used in the simulation np1 times along "a",
>     np2 times along "b", np3 times along "c".

[Back to Top]

nframes | INTEGER
Default: | 1

>     number of MD step to be read to build the trajectory
>     CURRENTLY MUST BE > 1

[Back to Top]

ndr | INTEGER
Default: | 51

>     CP restart file number to post process

[Back to Top]

atomic_number(i), i=1,ntyp | INTEGER
Default: | 1

>     Specify the atomic number of the species in CP trajectory and
>     restart file.

>     atomic_number(1)  specify the atomic number of the first specie
>     atomic_number(2)  specify the atomic number of the second specie
>     ....

[Back to Top]

This file has been created by helpdoc utility on Sat Mar 18 19:14:59 CET 2023.